Summary: ODBC driver for MySQL
Name: MyODBC
Version: 2.50.39
Release: 21.RHEL4.1.XOS.1
URL: http://www.mysql.com/downloads/api-myodbc.html
Source: http://www.mysql.com/Downloads/MyODBC/MyODBC-%{version}.tar.gz
License: Public Domain
Group: System Environment/Libraries
Requires: unixODBC
BuildRequires: mysqlclient10-devel unixODBC-devel automake autoconf libtool
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
An ODBC driver for MySQL, for use with unixODBC.

%prep
%setup -q

%build
libtoolize --copy --force
aclocal
automake -a
automake
autoconf

%configure \
	--with-unixODBC=/usr/foo \
	--with-odbc-ini=/etc/odbc.ini \
	--with-mysql-includes=%{_includedir}/mysql3/mysql \
	--with-mysql-libs=%{_libdir}/mysql3/mysql

export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool
rm -rf $RPM_BUILD_ROOT%{_libdir}/libmyodbc.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc INSTALL ChangeLog odbc.ini
%{_libdir}/lib*so

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 2.50.39-21.RHEL4.1.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on MyODBC-2.50.39-21.RHEL4.1.src.rpm
  (md5sum of original source rpm: 690d1328fc3899f5632a3e36048d5672).

* Wed Nov 24 2004 Tom Lane <tgl@redhat.com> 2.50.39-21.RHEL4.1
- Backpatch into RHEL-4 branch for FZ #129616, #101695.

* Thu Nov 11 2004 Tom Lane <tgl@redhat.com> 2.50.39-21
- Do aclocal/automake/autoconf to update obsolete scripts (bug #122877)

* Fri Oct 29 2004 Tom Lane <tgl@redhat.com> 2.50.39-20
- Force build against mysqlclient10, not mysql, for license reasons

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Sep 03 2003 Patrick Macdonald <patrickm@redhat.com> 2.50.39-17
- add --with-mysql-libs to configure

* Wed Sep 03 2003 Elliot Lee <sopwith@redhat.com> 2.50.39-16
- libtool modifications

* Thu Jul 03 2003 Patrick Macdonald <patrickm@redhat.com> 2.50.39-15
- rebuilt due to mysql reversion

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Patrick Macdonald <patrickm@redhat.com> 2.50.39-13
- rebuilt

* Wed Apr 30 2003 Elliot Lee <sopwith@redhat.com> 2.50.39-12
- Genericize lib64 check

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Karsten Hopp <karsten@redhat.de> 2.50.39-10
- use lib64 on s390x

* Thu Dec 19 2002 Phil Knirsch <pknirsch@redhat.com> 2.50.39-9
- Fix unpackaged files.
- Fix build on x86_64.

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 2.50.39-8
- lib64'ize

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-5
- Don't do automake tricks - just do a libtoolize
- Don't use %%configure

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-4
- Rebuild

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-3
- Rebuild
- libtoolize, autoreconf
- specify unixODBC prefix as "/var/tmp" (which exists, but isn't used).
  If you specify /usr, gcc will complain about a system path being
  listed (and thus configure will fail) if you don't, autoconf will
  think the prefix is "yes" and do a "-Lyes/lib". POC.


* Mon Oct  1 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-1
- 2.50.39

* Fri Jul 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- move requirement of unixODBC-devel from runtime to buildtime

* Tue Apr 24 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build.


